## ros-galactic-rqt-bag-plugins 1.1.2

=== debian/changelog ===
ros-galactic-rqt-bag-plugins (1.1.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Sun, 06 Feb 2022 08:00:00 -0000

ros-galactic-rqt-bag-plugins (1.1.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 12 Apr 2021 07:00:00 -0000

ros-galactic-rqt-bag-plugins (1.1.0-1focal) focal; urgency=high

  * Refactor the Rosbag2 class (#91 <https://github.com/ros-visualization/rqt_bag/issues/91>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rqt-bag-plugins (1.0.0-1focal) focal; urgency=high

  * Port the plot view to ROS2 (#79 <https://github.com/ros-visualization/rqt_bag/issues/79>)
  * Port the image_view plugin to ROS2 (#78 <https://github.com/ros-visualization/rqt_bag/issues/78>)
  * Starting point for resuming the ROS2 port (#70 <https://github.com/ros-visualization/rqt_bag/issues/70>)
  * Make the tree controls in the Raw View and Plot View consistent (#57 <https://github.com/ros-visualization/rqt_bag/issues/57>)
  * Update the package.xml files with the latest Open Robotics maintainers (#58 <https://github.com/ros-visualization/rqt_bag/issues/58>)
  * initialize pil_mode when image is compressed (#54 <https://github.com/ros-visualization/rqt_bag/issues/54>)
  * Contributors: John Stechschulte, Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 19 Nov 2020 08:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.15-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 21 Aug 2020 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.14-1focal) focal; urgency=high

  * support 16-bit bayer images (#45 <https://github.com/ros-visualization/rqt_bag/issues/45>)
  * maintain image aspect ratio (#32 <https://github.com/ros-visualization/rqt_bag/issues/32>)
  * fix Python 3 issue: long/int (#51 <https://github.com/ros-visualization/rqt_bag/issues/51>)
  * fix Python 3 issue: ensure str is encoded before decoding (#50 <https://github.com/ros-visualization/rqt_bag/issues/50>)
  * bump CMake minimum version to avoid CMP0048 warning

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 Aug 2020 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.13-1focal) focal; urgency=high

  * add Python 3 conditional dependencies (#44 <https://github.com/ros-visualization/rqt_bag/issues/44>)
  * add cairocffi as the fallback module (#43 <https://github.com/ros-visualization/rqt_bag/issues/43>)
  * autopep8 (#30 <https://github.com/ros-visualization/rqt_bag/issues/30>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 17 Mar 2020 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.12-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 21 Mar 2018 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.11-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 01 Nov 2017 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.10-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.9-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 12 Oct 2017 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.8-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.7-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 02 Mar 2017 08:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.6-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.5-1focal) focal; urgency=high

  * fix Python 2 regression from version 0.4.4 (#426 <https://github.com/ros-visualization/rqt_common_plugins/issues/426>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 03 Feb 2017 08:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.4-1focal) focal; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.2-1focal) focal; urgency=high

  * fix crash when toggling thumbnail (#380 <https://github.com/ros-visualization/rqt_common_plugins/issues/380>)
  * lock bag when reading for plotting (#382 <https://github.com/ros-visualization/rqt_common_plugins/pull/382>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 16 May 2016 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.4.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.3.13-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Mar 2016 08:00:00 -0000

ros-galactic-rqt-bag-plugins (0.3.12-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 24 Jul 2015 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.3.11-1focal) focal; urgency=high

  * add missing dependency on rqt_plot (#316 <https://github.com/ros-visualization/rqt_common_plugins/pull/316>)
  * work around Pillow segfault if PyQt5 is installed (#289 <https://github.com/ros-visualization/rqt_common_plugins/pull/289>, #290 <https://github.com/ros-visualization/rqt_common_plugins/pull/290>)

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 30 Apr 2015 07:00:00 -0000

ros-galactic-rqt-bag-plugins (0.3.10-1focal) focal; urgency=high

  * add displaying of depth image thumbnails

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 01 Oct 2014 07:00:00 -0000


