=== debian/control ===
Source: ros-galactic-rqt-bag-plugins
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ros-workspace, python3-all, python3-setuptools
Homepage: http://wiki.ros.org/rqt_bag
Standards-Version: 3.9.2

Package: ros-galactic-rqt-bag-plugins
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-cairo, python3-pil, ros-galactic-geometry-msgs, ros-galactic-rclpy, ros-galactic-rosbag2, ros-galactic-rqt-bag, ros-galactic-rqt-gui, ros-galactic-rqt-gui-py, ros-galactic-rqt-plot, ros-galactic-sensor-msgs, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: rqt_bag provides a GUI plugin for displaying and replaying ROS bag files.
